Asset Charges API
Introduction
This API allows you to create an organization associated with a specific patron ID. To create an organization, you need to provide the company's CIN, service type, and a callback URL where the responses will be received. Additionally, you must provide a valid access token for authorization. The API will return the details of the created organization in the response body.
Sample cURL
curl --request POST \
--url https://signzy.tech/api/v2/patrons/...patronid..../organizations \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"identifier":"...companycin...","service":"roc","callbackUrl":"...call URL..."}'Parameter | Type | Description |
|---|---|---|
target | string | Required. The type of object to be searched. |
itemId | string | Required. The ID of the organization object created. |
accessToken | string | Required. A valid access token for authorization. |
task | string | Required. The task to be performed. |
essentials | object | Required. A JSON object containing essential information. |
cin | string | Required. The CIN of the company. |
Sample API Response
// Expected response
{
"callbackUrl": "...callback...",
"accessToken": "...accestoken....",
"id": "....id...",
"patronId": "....patronid...",
"identifier": "...identifier...",
"service": "roc"
}Parameter | Type | Description |
|---|---|---|
callbackUrl | string | Required. The URL where the response will be received. |
accessToken | string | Required. A valid access token for authorization. |
id | string | Optional. The ID of the organization that was created. |
patronId | string | Required. The ID of the patron associated with the response. |
identifier | string | Required. The company's identifier (CIN). |
service | string | Required. The service required by the organization.   |
Sample cURL (hunt)

curl --request POST \
--url https://signzy.tech/api/v2/hunts \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'content-type: application/json' \
--data '{"target":"Organization","itemId":"....id-of-the-organization-object-created.....","accessToken":"....accessToken-of-the-organization-object-created.....","task":"assetChargesByCin","essentials":{"cin":"...cin-of-the-company..."}}'Parameter | Type | Description |
|---|---|---|
target | string | Required. Specifies the target for the search. |
itemId | string | Required. ID of the organization object created. |
accessToken | string | Required. Access token for authorization. |
task | string | Required. Specifies the task to be performed. |
essentials | object | Required. Additional search parameters for the given task. |
cin | string | Required. CIN of the company to perform the task on. |
Sample API Response(hunt)
// Expected response
{
"companyName": "...companyName...",
"rocOffice": "...rocOffice...",
"registrationNumber": "...registrationNumber...",
"category": "...category...",
"subCategory": "...subCategory...",
"class": "...class...",
"authorisedCapital": "...authorisedCapital...",
"paidUpCapital": "...paidUpCapital...",
"numberOfMembers": "...numberOfMembers...",
"dateOfIncorporation": "...dateOfIncorporation...",
"registeredAddress": "...registeredAddress...",
"emailId": "...emailId...",
"whetherListed": "...whetherListed...",
"lastAgmDate": "...lastAgmDate...",
"balanceSheetDate": "...balanceSheetDate...",
"statusForEfiling": "...statusForEfiling...",
"addressOtherThanRegisteredOffice": "...addressOtherThanRegisteredOffice...",
"suspendedAtStockExchange": "...suspendedAtStockExchange...",
"splitAddress": {
"state": [
[
]
],
"district": [
],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
},
"cin": "...cin...",
"noOfDirectors": "...noOfDirectors...",
"chargesRegistered": [
{
"assetsUnderCharge": "...assetsUnderCharge...",
"chargeAmount": "...chargeAmount...",
"dateOfCreation": "...dateOfCreation...",
"dateOfModification": "...dateOfModification...",
"status": "...status..."
}
]
}Parameter | Type | Description |
|---|---|---|
companyName | string | Name of the company. |
rocOffice | string | Office of the Registrar of Companies. |
registrationNumber | string | Registration number of the company. |
category | string | Category of the company. |
subCategory | string | Subcategory of the company. |
class | string | Class of the company. |
authorisedCapital | string | Authorised capital of the company. |
paidUpCapital | string | Paid up capital of the company. |
numberOfMembers | string | Number of members of the company. |
dateOfIncorporation | string | Date of incorporation of the company. |
registeredAddress | string | Registered address of the company. |
emailId | string | Email ID of the company. |
whetherListed | string | Whether the company is listed or not. |
lastAgmDate | string | Date of the last Annual General Meeting of the company. |
balanceSheetDate | string | Balance sheet date of the company. |
statusForEfiling | string | Status for e-filing of the company. |
addressOtherThanRegisteredOffice | string | Address other than registered office of the company. |
suspendedAtStockExchange | string | Whether the company is suspended at stock exchange or not. |
splitAddress | object | Address split into different components. |
state | array | State(s) of the address. |
district | array | District(s) of the address. |
city | array | City(ies) of the address. |
pincode | string | Pincode of the address. |
country | array | Country(ies) of the address. |
cin | string | CIN of the company. |
noOfDirectors | string | Number of directors of the company. |
chargesRegistered | array | Charges registered for the company. |
assetsUnderCharge | string | Assets under charge. |
chargeAmount | string | Amount of the charge. |
dateOfCreation | string | Date of creation of the charge. |
dateOfModification | string | Date of modification of the charge. |
status | string | Status of the charge. |